Subject: Offline Message from Renee McMorris: I sent in a repair request for my blue e
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 25 Sep 2022 15:13:44 -0000

From: Renee McMorris <[email-masked]>
Phone: 706-662-7688
Location: New York, United States
URL: https://swagtron.com/warranty-details-and-registration/
Department: SwagTron

I sent in a repair request for my blue eb5 plus that will not accelerate over a week ago. I never heard from anyone and could not locate my account. I have re-registered both bikes and hope that you can help me resolve the issue of the blue bike not accelerating at all. It is charged and when the handle is twisted to activate the bike, nothing happens.please help. Thank you for being wonderful!

----
Zopim
https://www.zopim.com